Get Artifacts

  • GET
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_Id

Get a specific artifact by ID

Request

REQUIRED SCOPES
ARTIFACT_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_Idrequiredstring
The Artifact ID

Example: "x5169jL2"

Response

RESPONSE BODY
typestring enum
The type of artifact
Allowed enum:
CONTAINER,
BUCKET,
NPM,
COMPOSER
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The unique ID of the artifact
namestring
The display name of the artifact
identifierstring
The human-readable identifier of the artifact
scopestring enum
The scope level of the artifact
Allowed enum:
WORKSPACE,
PROJECT,
ENVIRONMENT
sizeinteger
Total size of all artifact versions in bytes
projectShortProjectView
Short representation of a project
environmentShortEnvironmentView
Short representation of an environment object
authorizationAuthorizationView
Artifact authorization configuration. Password is only used in requests and not returned in responses. BASIC authorization can only be used with FILES type artifacts.
permissionsArtifactPermissionsView
Artifact permissions configuration
allowed_pipelinesAllowedPipelineView[]
List of pipelines allowed to access this artifact
pipelines_access_levelstring enum
Set to true to allow all pipelines to use this artifact
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
allowed_sandboxesAllowedSandboxView[]
List of sandboxes allowed to access this package
sandboxes_access_levelstring enum
Default access level for all sandboxes
Allowed enum:
DENIED,
READ_ONLY,
USE_ONLY,
BLIND,
RUN_ONLY,
READ_WRITE,
MANAGE,
DEFAULT,
ALLOWED,
STAGE,
COMMIT
created_datestring
Artifact creation timestamp
retention_rulesArtifactRetentionRuleView[]
List of retention rules for automatic cleanup of artifact versions

Last modified on Jun 29, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_Id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/ttests/artifacts/x5169jL2", "html_url": "https://app.buddy.works/ttests/-/artifacts/x5169jL2/versions", "id": "x5169jL2", "name": "Shared Library Artifact", "identifier": "shared-lib", "type": "CONTAINER", "scope": "WORKSPACE", "authorization": { "type": "NONE" }, "permissions": { "others": "READ_ONLY" }, "size": 2147483648, "created_date": "2024-01-10T08:20:00Z" }
STATUS
200 Artifact retrieved successfully